cancel
Showing results for 
Search instead for 
Did you mean: 

urgent assistance needed , i have to upgrade Magento 2.2.5 to 2.4.2

urgent assistance needed , i have to upgrade Magento 2.2.5 to 2.4.2

How I can upgrade the version from 2.2.5 to 2.4.2 without any change in the existing data (Products, orders etc ). And has I need to change the theme or php version of the server before any action. 
I want to do this by using a localhost server (wamp or xampp)

Thanks in advanc 

1 REPLY 1

Re: urgent assistance needed , i have to upgrade Magento 2.2.5 to 2.4.2

Hello @5e48be49ecff7 

 

Moving from 2.2 to 2.4 can be a little bit challenging sometimes. 

Before moving ahead, I would suggest keeping the M2.4 compatible server ready because of M2.4 needs Elastic search compulsory, php 7.4, and MySQL 8.0

Read more here https://devdocs.magento.com/guides/v2.4/install-gde/system-requirements.html

 

Look for all the third-party extensions' latest compatible versions.

We strongly suggest upgrading the Magento version with the composer.

You can try below blog, if that doesn't help let me know.

https://magecomp.com/blog/upgrade-magento-version-from-2-3-to-2-4/

Was my answer helpful? You can accept it as a solution.
150+ professional extensions for M1 & M2 with free lifetime updates!